package components {
    import spark.components.Button;
    import spark.components.supportClasses.SkinnableComponent;

    [SkinState("aState")]
    [SkinState("bState")]
    [SkinState("cState")]
    public class CustomButtons extends SkinnableComponent {
        
        [SkinPart(required="true")]
        public var blueButton:Button;
        
        [SkinPart(required="true")]
        public var yellowButton:Button;
        
        [SkinPart(required="true")]
        public var redButton:Button;
        
        public function CustomButtons() {
            super();
        }
        override protected function getCurrentSkinState():String {
            return super.getCurrentSkinState();
        } 
        
        override protected function partAdded(partName:String, instance:Object) : void {
            super.partAdded(partName, instance);
        }
        
        override protected function partRemoved(partName:String, instance:Object) : void {
            super.partRemoved(partName, instance);
        }
    }
}